[maven-dependency-plugin] branch master updated: [MDEP-705] Deprecate method not used in project

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[maven-dependency-plugin] branch master updated: [MDEP-705] Deprecate method not used in project

slachiewicz
This is an automated email from the ASF dual-hosted git repository.

slachiewicz pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/maven-dependency-plugin.git


The following commit(s) were added to refs/heads/master by this push:
     new becbbbc  [MDEP-705] Deprecate method not used in project
becbbbc is described below

commit becbbbc7a7602dfdaa00d29cbd8804e11c1f8fa4
Author: Piotrek Żygieło <[hidden email]>
AuthorDate: Sat May 2 12:28:27 2020 +0200

    [MDEP-705] Deprecate method not used in project
---
 src/main/java/org/apache/maven/plugins/dependency/tree/TreeMojo.java | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/main/java/org/apache/maven/plugins/dependency/tree/TreeMojo.java b/src/main/java/org/apache/maven/plugins/dependency/tree/TreeMojo.java
index 3643b07..1e8fd2b 100644
--- a/src/main/java/org/apache/maven/plugins/dependency/tree/TreeMojo.java
+++ b/src/main/java/org/apache/maven/plugins/dependency/tree/TreeMojo.java
@@ -465,7 +465,9 @@ public class TreeMojo
      * @param allowedRange range of allowed versions.
      * @param theVersion the version to be checked.
      * @return true if the version is contained by the range.
+     * @deprecated This method is unused in this project and will be removed in the future.
      */
+    @Deprecated
     public static boolean containsVersion( VersionRange allowedRange, ArtifactVersion theVersion )
     {
         ArtifactVersion recommendedVersion = allowedRange.getRecommendedVersion();